#
#  This used to be a patch to the C code by answer, but it's better
#  suited to a Tcl script using the FILT binding.  it intercepts all
#  text starting with ' from party-line users, and sends that text
#  to local users only.  -robey
#

bind filt - '* local_chat
proc local_chat {idx text} {
  # strip off that leading '
  set text [string range $text 1 end]
  # send to each user that's in chat, on THIS bot
  foreach user [dcclist] {
    if {[lindex $user 3] == "chat"} {
      putdcc [lindex $user 0] "=[idx2hand $idx]=> $text"
    }
  }
  # tell the bot not to process this line, cos the script took care
  # of it:
  return 1
}
